# RVF-Multinomial-Hurdle
Repository for analysis for Farm-Level Risk Factors of Increased Abortion and Mortality in Domestic Ruminants during the 2010 Rift Valley Fever Outbreak in Central South Africa 

Abstract: (1) Background: Rift Valley fever (RVF) outbreaks in domestic ruminants have severe socio-economic impacts. Climate-based continental predictions providing early warnings to regions at risk for RVF outbreaks are not of a high enough resolution for ruminant owners to assess their individual risk. (2) Methods: We analyzed risk factors for RVF occurrence and severity at the farm-level using the number of domestic ruminant deaths and abortions reported by farmers in central South Africa during the 2010 RVF outbreaks using a Bayesian multinomial hurdle framework. (3) Results: We found strong support that the proportion of days with precipitation, the number of water sources and the proportion of goats in the herd were positively associated with increased severity of RVF (the numbers of deaths and abortions) during the 2010 RVF outbreaks. We did not find an association between any risk factors and whether RVF was reported on farms. (4) Conclusions: At the farm-level we identified risk factors of RVF severity; however there was little support for risk factors of RVF occurrence. This suggests that farmers have limited tools to assess their individual risk for the occurrence of an RVF outbreak on their farm, but can implement measures to reduce the severity of outbreaks when they arise.

This repository contains the code to conduct and analyze a multinomial-hurdle model. It also contains the deidentified data for the analysis for this paper.

In order to deidentify the data and be in compliance with IRB regulations, we had to remove the GPS coordinates. This means the UTM was also removed and the data cannot be used to run the model with the Gaussian process as the UTM are not available. However, the code is provided even though it cannot be run with the data in this repository.

The code for the model described in the paper is provided - the code must be modified to include a random effect. The hurdle_multinomial_gp.R file should be run first calling the hurdle_multinomial_gp.stan. Then the "Bayesian Model Assessment code.R" should be run, which requires the use of "Bayesian Assessment Functions.R". If you have not already created files for the priors_only model, the WAIC values and the comparison of Deviance explained, the "Bayesian Model Assessment code.R" will not run. The "Bayesian Model Assessment code.R" will create a .csv that is used in the "Descriptive Stats.R" file. Thus, this file ("Descriptive Stats.R") can be run after the "Bayesian Model Assessment code.R". The "Code_for_probability_theta_plots_gtshpPrcts.R" file can be run and requires a data file, "Unstandardization_Key_for_publication.csv". This will produce an RDS file "data to make probabilty change figure for publication_2prct.Rds" and to recreate Figures 3 and S1.

DOI: 10.5281/zenodo.4060630
